org.baraza.server.sms

## Class BSMS

- java.lang.Object
- - java.lang.Thread
  - - org.baraza.server.sms.BSMS

- All Implemented Interfaces:
    Runnable

      public class BSMS
      extends Thread

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.lang.Thread

      `Thread.State, Thread.UncaughtExceptionHandler`

  - ### Field Summary

    - ### Fields inherited from class java.lang.Thread

      `MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BSMS(BDB db, BElement root, BLogHandle logHandle)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `boolean` | `connect(String commPort)`
    `int` | `getDelay()`
    `int` | `isActive()`
    `boolean` | `isConnected()`
    `boolean` | `isRunning()`
    `boolean` | `readMessages()`
    `void` | `run()`
    `void` | `sendMessage()`
    `void` | `sendMessage(String message)`
    `boolean` | `sendMessage(String number, String message)`
    `String` | `sendMessage(String number, String message, String accesscode)`
    `boolean` | `sendSMS(String msgaddr, String msg)`

    - ### Methods inherited from class java.lang.Thread

      `activeCount, checkAccess, clone, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BSMS

          public BSMS(BDB db,
              BElement root,
              BLogHandle logHandle)

  - ### Method Detail

    - #### getDelay

          public int getDelay()

    - #### connect

          public boolean connect(String commPort)

    - #### run

          public void run()

      Specified by:
        `run` in interface `Runnable`
      Overrides:
        `run` in class `Thread`

    - #### readMessages

          public boolean readMessages()

    - #### sendMessage

          public void sendMessage()

    - #### sendMessage

          public void sendMessage(String message)

    - #### sendMessage

          public boolean sendMessage(String number,
                            String message)

    - #### sendMessage

          public String sendMessage(String number,
                           String message,
                           String accesscode)

    - #### sendSMS

          public boolean sendSMS(String msgaddr,
                        String msg)

    - #### isActive

          public int isActive()

    - #### isRunning

          public boolean isRunning()

    - #### isConnected

          public boolean isConnected()

    - #### close

          public void close()

Copyright © 2016 openBaraza. All Rights Reserved.